Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8043 - Upgrade selects wrong SCSI module - after restart, kernel panic
Summary: Upgrade selects wrong SCSI module - after restart, kernel panic
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-29 14:23 UTC by jkarun
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-06-12 18:05:01 UTC


Attachments (Terms of Use)

Description jkarun 1999-12-29 14:23:36 UTC
While upgrading from version 5.2 to 6.1 I experienced the following bug:

I have an Adaptec 2920 scsi card which, of course, requires aic7xxx.o to
run.  The install/upgrade program detects the right board and loads the
driver appropriately.  However, for some reason, the install program places
the aic151 module in conf.modules and consequently gets the wrong driver
built into the ramsdisk.  When my server restarted I could see the scsi
driver failing to load and, of course, kernel panic.  I have been able to
work around this problem by putting the right entry in conf.modules during
the install program (escaping to console, copying file to another machine
and editing - a long process, especially if the local filesystems are not
mounted)

Thanks - I hope I provided you with good information

Comment 1 Derek Tattersall 2000-04-25 18:21:59 UTC
Unfortunately, we don't have a 2920.  Itried with a 2940 which uses the same
aic7xxx driver.  I installed 5.2, then upgraded to 6.1 and had no problems.  I
also installed 5.2 and upgraded to 6.2 and had no problems.  conf.modules was
correct each time.


Note You need to log in before you can comment on or make changes to this bug.